/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 256
#define NH 50
#define FNAME "t8"
#define MAXERROR 10  // max absolute value 

DATA x[NX] ={
-18559,
9947,
-29310,
-17742,
10972,
-12391,
-12673,
14462,
29779,
-24174,
-28294,
-24562,
-21879,
26962,
-23839,
7667,
-15141,
-18307,
13952,
3211,
28924,
-11150,
13401,
29060,
5347,
24913,
16358,
-7890,
14782,
-22099,
29897,
-19908,
18100,
7424,
-22133,
-30733,
-13853,
30871,
29523,
-17823,
30049,
11787,
-29166,
6543,
-7003,
-18654,
-20815,
-27738,
-32282,
18925,
-31603,
24768,
-9664,
14558,
30700,
-22567,
-22089,
-12230,
-30843,
-9331,
-30987,
19245,
32717,
-25544,
8034,
-24080,
-12450,
-23935,
-18133,
-6780,
-23912,
-16970,
28017,
-7137,
738,
-26680,
-31346,
-22313,
22578,
24848,
-20514,
32198,
13895,
24337,
-1335,
-262,
-13925,
-28775,
-15567,
-20562,
27334,
-24689,
-31887,
-8540,
13018,
25516,
6145,
-22500,
-12014,
-17473,
-32217,
-6757,
9821,
-27198,
17616,
30782,
14076,
18478,
-17199,
-19941,
-15518,
14010,
31299,
8986,
3009,
22810,
19798,
11030,
11205,
21013,
30832,
-857,
20805,
9277,
-12692,
10546,
-9305,
28717,
-809,
-26805,
11392,
975,
-18247,
14746,
-28296,
30416,
-19159,
-22209,
9058,
-32754,
-10772,
-14740,
-29850,
-26615,
-5899,
20767,
24282,
-31290,
14888,
22807,
14981,
29825,
10246,
15879,
-10161,
25167,
-10012,
-28871,
14314,
30029,
-22490,
-5482,
-26606,
-3281,
24192,
-7103,
-16202,
-9544,
15923,
9884,
28822,
21810,
-1968,
8510,
-28955,
2764,
-2902,
23795,
23278,
-1819,
18803,
10222,
-32766,
-24168,
-336,
-30256,
-17863,
-11280,
26179,
-12208,
-16275,
-4392,
22438,
-20678,
536,
-3131,
-11431,
-7860,
25328,
17121,
25150,
-2792,
19608,
-23982,
-28488,
-8183,
-8289,
-1048,
30766,
-10351,
-16208,
5563,
1553,
-22059,
-892,
-259,
22491,
20066,
23447,
7192,
4307,
7333,
-26020,
-22393,
-5660,
3959,
-15160,
18628,
-7349,
-30738,
5603,
3837,
-19616,
-27039,
28392,
-15770,
-19388,
-29544,
6957,
3037,
-26488,
8978,
-3739,
-28418,
-8239,
-16443,
27844,
8486,
24792,
9284,
19555,
-4259,
31531,
-26480,
1801,
2991,
};

DATA h[NH] ={
-556,
-333,
-1122,
115,
866,
-915,
-847,
-1114,
834,
-944,
991,
37,
1194,
-978,
-1165,
-309,
-225,
-255,
-204,
-318,
1049,
438,
1190,
-869,
640,
-325,
-118,
-1190,
160,
-330,
754,
760,
-302,
-638,
-405,
1205,
-53,
-340,
681,
-317,
1031,
-816,
-340,
1075,
41,
-1056,
606,
-1277,
265,
1177,
};

DATA rtest[NX+NH-1] ={
314,
19,
1031,
192,
541,
1383,
-671,
1068,
469,
1175,
-1509,
2991,
1874,
-1193,
-904,
-716,
4697,
2189,
1328,
2492,
-1940,
-776,
-4855,
2599,
-1771,
94,
-1286,
-1435,
1387,
497,
462,
-2700,
-2128,
-1508,
-656,
652,
1549,
-1321,
-86,
-3556,
-1141,
-456,
1509,
-645,
4069,
-1701,
-3726,
718,
6354,
-1288,
5034,
-2735,
-517,
2039,
-2355,
-1831,
182,
1848,
2097,
533,
-1510,
7064,
3730,
3246,
-1520,
1854,
-245,
-5191,
606,
1194,
-2868,
2784,
3767,
5899,
2791,
1591,
4764,
-2817,
-2273,
-2145,
-1584,
1964,
3366,
1488,
3019,
-6909,
2009,
-2190,
-6662,
7108,
-2538,
1019,
3515,
4519,
5210,
-4828,
-6348,
-403,
-1820,
-914,
3300,
-1874,
6200,
4019,
57,
3948,
-2471,
-1005,
-3773,
-3816,
2369,
-4127,
668,
-2734,
2105,
1973,
3422,
-740,
-1861,
-4969,
-5190,
-1020,
-3495,
-1425,
214,
-315,
145,
-179,
-1892,
-4315,
-153,
-515,
-1401,
924,
403,
-958,
1078,
692,
-802,
3337,
-2838,
-353,
3454,
2590,
1555,
3847,
-2914,
2756,
1119,
-1857,
2566,
-3012,
-3637,
331,
-1096,
4018,
2006,
1119,
-824,
-2775,
-1555,
286,
763,
2528,
-6436,
679,
1123,
-1064,
2355,
-1593,
2797,
3327,
-6512,
2063,
-1080,
1004,
4050,
-6598,
-6370,
1968,
-130,
6644,
-7170,
441,
1722,
-1851,
-2020,
-997,
4327,
5975,
1523,
-208,
925,
-1907,
110,
-398,
-1634,
-3476,
1834,
6095,
-711,
2089,
1607,
-1525,
285,
-5002,
-2037,
-739,
4476,
-726,
5139,
-1169,
3652,
-1158,
-2347,
-3709,
821,
-4079,
1478,
3645,
3440,
-1562,
-186,
-1148,
1016,
-8985,
361,
856,
3512,
3025,
4055,
-544,
-467,
-3230,
-3126,
-675,
822,
4591,
7562,
-870,
1868,
-2329,
5293,
-1010,
-3183,
-1299,
3314,
-1214,
-569,
1922,
1047,
4226,
-1944,
-6173,
853,
-2717,
};

DATA x_np[NX+NH-1] = {
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
-18559,
9947,
-29310,
-17742,
10972,
-12391,
-12673,
14462,
29779,
-24174,
-28294,
-24562,
-21879,
26962,
-23839,
7667,
-15141,
-18307,
13952,
3211,
28924,
-11150,
13401,
29060,
5347,
24913,
16358,
-7890,
14782,
-22099,
29897,
-19908,
18100,
7424,
-22133,
-30733,
-13853,
30871,
29523,
-17823,
30049,
11787,
-29166,
6543,
-7003,
-18654,
-20815,
-27738,
-32282,
18925,
-31603,
24768,
-9664,
14558,
30700,
-22567,
-22089,
-12230,
-30843,
-9331,
-30987,
19245,
32717,
-25544,
8034,
-24080,
-12450,
-23935,
-18133,
-6780,
-23912,
-16970,
28017,
-7137,
738,
-26680,
-31346,
-22313,
22578,
24848,
-20514,
32198,
13895,
24337,
-1335,
-262,
-13925,
-28775,
-15567,
-20562,
27334,
-24689,
-31887,
-8540,
13018,
25516,
6145,
-22500,
-12014,
-17473,
-32217,
-6757,
9821,
-27198,
17616,
30782,
14076,
18478,
-17199,
-19941,
-15518,
14010,
31299,
8986,
3009,
22810,
19798,
11030,
11205,
21013,
30832,
-857,
20805,
9277,
-12692,
10546,
-9305,
28717,
-809,
-26805,
11392,
975,
-18247,
14746,
-28296,
30416,
-19159,
-22209,
9058,
-32754,
-10772,
-14740,
-29850,
-26615,
-5899,
20767,
24282,
-31290,
14888,
22807,
14981,
29825,
10246,
15879,
-10161,
25167,
-10012,
-28871,
14314,
30029,
-22490,
-5482,
-26606,
-3281,
24192,
-7103,
-16202,
-9544,
15923,
9884,
28822,
21810,
-1968,
8510,
-28955,
2764,
-2902,
23795,
23278,
-1819,
18803,
10222,
-32766,
-24168,
-336,
-30256,
-17863,
-11280,
26179,
-12208,
-16275,
-4392,
22438,
-20678,
536,
-3131,
-11431,
-7860,
25328,
17121,
25150,
-2792,
19608,
-23982,
-28488,
-8183,
-8289,
-1048,
30766,
-10351,
-16208,
5563,
1553,
-22059,
-892,
-259,
22491,
20066,
23447,
7192,
4307,
7333,
-26020,
-22393,
-5660,
3959,
-15160,
18628,
-7349,
-30738,
5603,
3837,
-19616,
-27039,
28392,
-15770,
-19388,
-29544,
6957,
3037,
-26488,
8978,
-3739,
-28418,
-8239,
-16443,
27844,
8486,
24792,
9284,
19555,
-4259,
31531,
-26480,
1801,
2991,
};

